package config

import (
	"github.com/getlantern/flashlight/client"
)

var fallbacks = map[string]*client.ChainedServerInfo{
	"fallback-128.199.126.3:443": &client.ChainedServerInfo{
		Addr:      "128.199.126.3:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDgjCCAmqgAwIBAgIEfHzgrjANBgkqhkiG9w0BAQsFADBpMQswCQYDVQQGEwJVUzERMA8GA1UE\nCBMITmV3IFlvcmsxETAPBgNVBAcTCERlYWRiZWF0MRowGAYDVQQKExFUaGlyc3R5IFRydW1wZXRl\ncjEYMBYGA1UEAxMPVGVhayBHYWx2YW5pemVzMB4XDTE1MTIyNDA5MzkzNloXDTE2MTIyMzA5Mzkz\nNlowaTELMAkGA1UEBhMCVVMxETAPBgNVBAgTCE5ldyBZb3JrMREwDwYDVQQHEwhEZWFkYmVhdDEa\nMBgGA1UEChMRVGhpcnN0eSBUcnVtcGV0ZXIxGDAWBgNVBAMTD1RlYWsgR2FsdmFuaXplczCCASIw\nDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKnoLJqK4cIXURih4DeGySrNQIp3Hyl6LJ7DcUlW\neYRjLUJgnmmyMGMo9qWZRaU3T7bo+ChNvSAe/4t9wBZVt2VT+geno80X4FUyMYU7QTIcaCr62oYK\nEX8B0G3q+jSUT1eVjRUO2X1YzM1DutkQfrd44tj95B8Blw+zhfGvgs3YASMiMYq5sOizMur+CA7P\n4/N4MjxBRkNxHaW1rpoxsuowfcy32Yn/AmVE5dpM5XuQq4D3R7XNKbzb5dwptBt5Tp3qrBHBtlap\nFX7+2Uww8hQ16F89bUbalPYvlocLKN80HguY1rjPmY4OBRgEWhp6WkTAYZBFOC1qCyUkb3jbkM0C\nAwEAAaMyMDAwDwYDVR0RBAgwBocEgMd+AzAdBgNVHQ4EFgQUubc3BcfXQrxIYiRMvSC/RLwEjW0w\nDQYJKoZIhvcNAQELBQADggEBAH5WovkbgByw2VCrERHT5s1iqtyM4X12XmaOI5UvIoqXlJ3RkwRN\nf66aLp7XQIxKiwS+YwaGTOC1+yk1f2iVmoGDDyCb+bK7NOC2yj2kPqlw/KxsS5mdA/xz5p5Xou+Y\n67qvG/T9srK4FdhJ4lW4d07SCpGpGkQZBnUYYdIRRXYKlXs3eXJMObw36AMFEp934Eqk8NEcTDKU\nmmV4dwqg0HgbDTuxG794zURMUJyFoniKod/E545g31tRYaeuu9DyYc1f9Hjb40mg4lycjJKiV9mi\nOhMIUCCYoFNv9QlFcnj8D0yM2CwjOjpaK3Wd9/IDmVpCX5sWBHMF/lB303j3my4=\n-----END CERTIFICATE-----\n",
		AuthToken: "t524tbsljwbbyuh1LXlh88PuGPHHJ8Ndaf5JRFbj0WudHomo6ClosUG8iCDVkV95",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
	"fallback-178.62.200.83:443": &client.ChainedServerInfo{
		Addr:      "178.62.200.83:443",
		Cert:      "-----BEGIN CERTIFICATE-----\nMIIDVDCCAjygAwIBAgIEV3BE6TANBgkqhkiG9w0BAQsFADBSMQswCQYDVQQGEwJVUzEQMA4GA1UE\nCBMHRmxvcmlkYTENMAsGA1UEBxMETWljaDESMBAGA1UEChMJU2hvcnRob3JuMQ4wDAYDVQQDEwVK\ndW50YTAeFw0xNTEyMTYxNTQzMTZaFw0xNjEyMTUxNTQzMTZaMFIxCzAJBgNVBAYTAlVTMRAwDgYD\nVQQIEwdGbG9yaWRhMQ0wCwYDVQQHEwRNaWNoMRIwEAYDVQQKEwlTaG9ydGhvcm4xDjAMBgNVBAMT\nBUp1bnRhMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA0O6WMhaS2kfF3N2UIojWetY0\nq1DL6HMT1/qTRykWxH4+eZqT/6dCC/luQEmwWMYQ3psYhUOWezxEdkPWfaKZlNG4Fc31ydGsGmkE\n5AuKS7n+tQmRH5uQ1KhnUW511smNXeGFBc6sMutddfXrUFG+Kmy0FdPbpr5UiTrcPboOIBI3Rgla\noWYM+fIC2Z1nDQFwWH+s++xuCZ2kNuFfgARWaXub6dmA9FZ6lHx2PEUdDx23eNECsmyj3Y2+gYuZ\n48yyum9maqqMdqX/vDHCJyzAN11/w+N9IA6OOLoBrpA004eP+DVi944aLSl7claUiwh6zQ23kUP4\nHmpHgAR/0UV5rwIDAQABozIwMDAPBgNVHREECDAGhwSyPshTMB0GA1UdDgQWBBQdKhV1Gzb93gip\nfO6Pua7Cr3Fr9TANBgkqhkiG9w0BAQsFAAOCAQEAKSh79SACCzgyETaAgp5tq+WHpingmvkkp0ea\nuWt+9/CXyceF6xb9Y277c7pec4w2RIDmf8uwdLVXvqz5vQST5MBbXBErLMr+NmQkRYa1epAJ+rZK\n87EtPzNy23FvikmNEMxem+IupVjcTOtfHxMGoLsQNvt6wnn5RzBHzmij9EFWXm52tkrjEdMmWjqk\nFyGOIWx+17YGH0AdmHKmGqVkMza0iEWjq+n47WPFFyPYN5bF7o08mUo1oEPREJDL4vQtUB7VtU4a\nUAA81fZscUmwranmk+fXb5Oimu+MFBnTgPU2CU1hXGpgBPmwIL/IR8XzZbrdsACgJtnZ5nPi6W5+\nGg==\n-----END CERTIFICATE-----\n",
		AuthToken: "IgwtFQPSdx05cMbOetTUoOPZBmjLTaq6p7YoGiy6cz9z5FVZgbrch9ptNStvQOIx",
		Pipelined: true,
		Weight:    1000000,
		QOS:       10,
		Trusted:   true,
	},
}
